toplevel_expect_test

Expectation tests for the OCaml toplevel
Description

Allows one to write both toplevel phrases and the expected output from the toplevel in the same file. This provides an easy way to test compilations errors as well as provide a nice alternative to using the toplevel in a terminal.

Install
Published
19 Oct 2022
Authors
Maintainers
Sources
v0.15.1.tar.gz
sha256=2ce95d9cbaf70c8ba767d299588dafce10623f83610f1c4af9578ac10ffe311d
Dependencies
ppxlib >= "0.23.0"
ocamlfind >= "1.7.2"
dune >= "2.0.0"
toplevel_backend >= "v0.15" & < "v0.16"
ppx_jane >= "v0.15" & < "v0.16"
ppx_inline_test >= "v0.15" & < "v0.16"
ppx_expect >= "v0.15" & < "v0.16"
mlt_parser >= "v0.15" & < "v0.16"
core_unix >= "v0.15" & < "v0.16"
core >= "v0.15" & < "v0.16"
ocaml >= "4.08.0"
Reverse Dependencies